<?php
/**
 * Template part for displaying the standard header
 *
 * @package MarComm-AUX
 * @since 1.0.0
 */
use WP_AUX\Entities\PageTemplate\HeaderEntity;

/* @var $header HeaderEntity */
$header = @$args['header'];
?>
<div class="<?php echo $header->getWrapperClasses(); ?>">
  <div class="page-header__container">
    <div class="page-header__content">
      <?php
        echo $header->headingGroup();

        if (!$header->isMediaType("none")) {
          echo $header->ctas();
        }
      ?>
    </div>
    <?php
      switch ($header->getMediaType()) {
        case 'image':
          echo $header->pageImageHtml();
          break;
        case 'factoid':
          $header->renderFactoid();
          break;
        default:
          echo $header->ctas();
      }
    ?>
  </div>
</div>
